Payment Deposit Summary Report

Introduction

The Payment Deposit Summary provides a list of payment deposits that have taken place within the specified time period.

GET /api/pp/reports/payments/deposits/summary

Request Parameters
Field Description Required Format Max Len
start_date Beginning date Yes YYYY-MM-DD 10
end_date Ending date No YYYY-MM-DD 10

Example
GET /api/pp/reports/payments/deposits/summary?start_date=2013-01-01&end_date=2013-01-07

Response
[
	{
		"batch_id": "D2TL38U0U59BDVMT0XYD9CO7B",
		"batch_date": "2013-01-01",
		"instruction_type": "Deposit",
		"deposit_amount": "60715.27",
		"funds_transfer_id": "6QQ4F1IHNN10INR79RVI6H6DF",
		"status": "CONFIRMED",
		"expected_settlement_date": "2013-01-02",
		"txn_count": 344,
		"merchant_id": "A5715BA8"
	},
	{
		"batch_id": "F4TLS8PJZM1AF1LBPMLP5JFXE",
		"batch_date": "2013-01-02",
		"instruction_type": "Deposit",
		"deposit_amount": "48585.94",
		"funds_transfer_id": "2UNF4YV0PJBHNMI50EXVPG0U2",
		"status": "CONFIRMED",
		"expected_settlement_date": "2013-01-05",
		"txn_count": 291,
		"merchant_id": "A5715BA8"
	},
	{
		"batch_id": "BS5PB313HZOBF3VMXAA5HVB8E",
		"batch_date": "2013-01-05",
		"instruction_type": "Deposit",
		"deposit_amount": "70886.77",
		"funds_transfer_id": "BAAZ13X2M053DIYROUQBML0D2",
		"status": "CONFIRMED",
		"expected_settlement_date": "2013-01-06",
		"txn_count": 362,
		"merchant_id": "A5715BA8"
	},
	{
		"batch_id": "26O7VLUU44F75P0ES93QXVTCN",
		"batch_date": "2013-01-06",
		"instruction_type": "Deposit",
		"deposit_amount": "39936.70",
		"funds_transfer_id": "CJT2SCMKHJFMHMWWP6V74J8EM",
		"status": "CONFIRMED",
		"expected_settlement_date": "2013-01-07",
		"txn_count": 192,
		"merchant_id": "A5715BA8"
	}
]